Subject: Errata in RFC 4795

From: Bernard Aboba <[email-masked]>
Date: Sun, 18 Feb 2007 07:59:58 -0800 (PST)

Some errata for RFC 4795 have been submitted by Alfred Hoenes. 

Section 2.1.1:

"as described in Section 4.2" should read "as described in Section 4.1". 

The description of the Tentative bit should read as follows:

   T       Tentative.  The 'T'entative bit is set in a response if the
           responder is authoritative for a UNIQUE name, but has not yet
           verified the uniqueness of the name, and it is cleared in all
           other cases.  A responder MUST ignore the 'T' bit in a query,
           if set.  A response with the 'T' bit set is silently
           discarded by the sender, except if it is received in reply to
           a uniqueness query issued according to the rules in Section
           4.1, in which case, a conflict has been detected and that
           conflict MUST be resolved as described in Section 4.1.

Section 2.3

"could be caused by coexistence" should read "could be caused by the 
coexistence"

Section 2.5

"sent to an LLMNR multicast addresses defined in Section 2" should
read "sent to one of the LLMNR multicast addresses defined in
Section 2". 

"TTL field in the IPV4 header MAY be set" should read "TTL in the IPv4 
header MAY be set"

Section 4.1

The first paragraph should include an additional sentence:
"Responses for non-UNIQUE names are always sent with the 'T' bit clear."

Section 4.2

The second paragraph has an interspersed blank line inserted.